| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Friends | List of all members
IoComponentMgr::IoComponentEntry Struct Reference
Collaboration diagram for IoComponentMgr::IoComponentEntry:
[legend]

## Public Member Functions
| IoComponentEntry ()
| IoComponentEntry (const std::string &f, const std::string &p, const IIoComponentMgr::IoMode::Type &t)
| IoComponentEntry (const IoComponentEntry &rhs)
bool | operator< (IoComponentEntry const &rhs) const

## Public Attributes
std::string | m_oldfname
std::string | m_oldabspath
std::string | m_newfname
IIoComponentMgr::IoMode::Type | m_iomode

## Friends
std::ostream & | operator<< (std::ostream &os, const IoComponentEntry &c)

## Detailed Description

Definition at line 119 of file IoComponentMgr.h.

## Constructor & Destructor Documentation

## ◆ IoComponentEntry() [1/3]

IoComponentMgr::IoComponentEntry::IoComponentEntry | ( |  | ) |
| inline

Definition at line 125 of file IoComponentMgr.h.

126 : m_oldfname( "" ), m_oldabspath( "" ), m_newfname( "" ), m_iomode( IIoComponentMgr::IoMode::INVALID ) {}
IoComponentMgr::IoComponentEntry::m_oldabspath
std::string m_oldabspath
Definition: IoComponentMgr.h:121
IoComponentMgr::IoComponentEntry::m_oldfname
std::string m_oldfname
Definition: IoComponentMgr.h:120
IIoComponentMgr::IoMode::INVALID
Definition: IIoComponentMgr.h:31
IoComponentMgr::IoComponentEntry::m_iomode
IIoComponentMgr::IoMode::Type m_iomode
Definition: IoComponentMgr.h:123
IoComponentMgr::IoComponentEntry::m_newfname
std::string m_newfname
Definition: IoComponentMgr.h:122

## ◆ IoComponentEntry() [2/3]

IoComponentMgr::IoComponentEntry::IoComponentEntry | ( | const std::string & | f,
|  | const std::string & | p,
|  | const IIoComponentMgr::IoMode::Type & | t
| ) |  |
| inline

Definition at line 127 of file IoComponentMgr.h.

128 : m_oldfname( f ), m_oldabspath( p ), m_newfname( "" ), m_iomode( t ) {}
IoComponentMgr::IoComponentEntry::m_oldabspath
std::string m_oldabspath
Definition: IoComponentMgr.h:121
IoComponentMgr::IoComponentEntry::m_oldfname
std::string m_oldfname
Definition: IoComponentMgr.h:120
IoComponentMgr::IoComponentEntry::m_iomode
IIoComponentMgr::IoMode::Type m_iomode
Definition: IoComponentMgr.h:123
IoComponentMgr::IoComponentEntry::m_newfname
std::string m_newfname
Definition: IoComponentMgr.h:122

## ◆ IoComponentEntry() [3/3]

IoComponentMgr::IoComponentEntry::IoComponentEntry | ( | const IoComponentEntry & | rhs | ) |
| inline

Definition at line 129 of file IoComponentMgr.h.

130 : m_oldfname( rhs.m_oldfname )
131 , m_oldabspath( rhs.m_oldabspath )
132 , m_newfname( rhs.m_newfname )
133 , m_iomode( rhs.m_iomode ) {}
IoComponentMgr::IoComponentEntry::m_oldabspath
std::string m_oldabspath
Definition: IoComponentMgr.h:121
IoComponentMgr::IoComponentEntry::m_oldfname
std::string m_oldfname
Definition: IoComponentMgr.h:120
IoComponentMgr::IoComponentEntry::m_iomode
IIoComponentMgr::IoMode::Type m_iomode
Definition: IoComponentMgr.h:123
IoComponentMgr::IoComponentEntry::m_newfname
std::string m_newfname
Definition: IoComponentMgr.h:122

## Member Function Documentation

## ◆ operator<()

bool IoComponentMgr::IoComponentEntry::operator< | ( | IoComponentEntry const & | rhs | ) | const
| inline

Definition at line 134 of file IoComponentMgr.h.

134 {
135 if ( m_oldfname == rhs.m_oldfname ) {
136 return ( m_iomode < rhs.m_iomode );
137 } else {
138 return ( m_oldfname < rhs.m_oldfname );
139 }
140 }
IoComponentMgr::IoComponentEntry::m_oldfname
std::string m_oldfname
Definition: IoComponentMgr.h:120
IoComponentMgr::IoComponentEntry::m_iomode
IIoComponentMgr::IoMode::Type m_iomode
Definition: IoComponentMgr.h:123

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const IoComponentEntry & | c
| ) |  |
| friend

Definition at line 142 of file IoComponentMgr.h.

142 {
143 os << "old: \"" << c.m_oldfname << "\" absolute path: \"" << c.m_oldabspath << "\" new: \"" << c.m_newfname
144 << "\" m: " << ( ( c.m_iomode == IIoComponentMgr::IoMode::READ ) ? "R" : "W" );
145 return os;
146 }
gaudirun.c
c
Definition: gaudirun.py:487
IIoComponentMgr::IoMode::READ
Definition: IIoComponentMgr.h:31

## Member Data Documentation

## ◆ m_iomode

IIoComponentMgr::IoMode::Type IoComponentMgr::IoComponentEntry::m_iomode

Definition at line 123 of file IoComponentMgr.h.

## ◆ m_newfname

std::string IoComponentMgr::IoComponentEntry::m_newfname

Definition at line 122 of file IoComponentMgr.h.

## ◆ m_oldabspath

std::string IoComponentMgr::IoComponentEntry::m_oldabspath

Definition at line 121 of file IoComponentMgr.h.

## ◆ m_oldfname

std::string IoComponentMgr::IoComponentEntry::m_oldfname

Definition at line 120 of file IoComponentMgr.h.

The documentation for this struct was generated from the following file:

- GaudiMP/src/component/IoComponentMgr.h